org.apache.http.impl.client

## Class RedirectLocations

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<Object>
    - - org.apache.http.impl.client.RedirectLocations

- All Implemented Interfaces:
    Iterable < Object >， Collection < Object >， List < Object >

      public class RedirectLocations
      extends AbstractList<Object>

  该类代表用作重定向位置的`URI`的集合。
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `RedirectLocations()`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, Object element)` 在指定的位置插入指定的元素（必须是URI）。
    `void` | `add(URI uri)` 向集合添加一个新的URI。
    `boolean` | `contains(Object o)` 如果此集合包含指定的元素，则返回 `true` 。
    `boolean` | `contains(URI uri)` 测试集合中是否存在URI。
    `URI` | `get(int index)` 返回此列表中指定位置的URI。
    `List<URI>` | `getAll()` 以其添加到集合的顺序返回所有重定向`URI` 。
    `URI` | `remove(int index)` 删除此列表中指定位置的URI。
    `boolean` | `remove(URI uri)` 从集合中删除一个URI。
    `Object` | `set(int index, Object element)` 用指定的元素替换此列表中指定位置的URI（必须是URI）。
    `int` | `size()` 返回此列表中的元素数。

    - ### Methods inherited from class java.util.AbstractList

      `add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

- - ### 构造方法详细信息

    - #### RedirectLocations

          public RedirectLocations()

  - ### 方法详细信息

    - #### contains

          public boolean contains(URI uri)

      测试集合中是否存在URI。

    - #### add

          public void add(URI uri)

      向集合添加一个新的URI。

    - #### remove

          public boolean remove(URI uri)

      从集合中删除一个URI。

    - #### getAll

          public List<URI> getAll()

      按照它们添加到集合的顺序返回所有重定向`URI` 。
      结果
        所有URI的列表
      从以下版本开始：
        4.1

    - #### get

          public URI get(int index)

      返回此列表中指定位置的URI。
      Specified by:
        `get`在界面 `List<Object>`
      Specified by:
        `get`在 `AbstractList<Object>`
      参数
        `index` - 要返回的位置的索引
      结果
        该列表中指定位置的URI
      异常
        `IndexOutOfBoundsException` - 如果索引超出范围（ `index &lt; 0 || index &gt;= size()` ）
      从以下版本开始：
        4.3

    - #### size

          public int size()

      返回此列表中的元素数。 如果此列表包含超过`Integer.MAX_VALUE`元素，则返回`Integer.MAX_VALUE` 。
      Specified by:
        `size`在界面 `Collection<Object>`
      Specified by:
        `size`在界面 `List<Object>`
      Specified by:
        `size`在 `AbstractCollection<Object>`
      结果
        该列表中的元素数
      从以下版本开始：
        4.3

    - #### set

          public Object set(int index,
                   Object element)

      用指定的元素替换此列表中指定位置的URI（必须是URI）。
      Specified by:
        `set`在界面 `List<Object>`
      重写：
        `set`在 `AbstractList<Object>`
      参数
        `index` - 要替换的元素的索引
        `element` - 要存储在指定位置的URI
      结果
        以前URI在指定的位置
      异常
        `UnsupportedOperationException` - 如果此列表不支持 `set`操作
        `ClassCastException` - 如果元素不是`URI`
        `NullPointerException` - 如果指定的元素为空，并且此列表不允许空元素
        `IndexOutOfBoundsException` - 如果索引超出范围（ `index &lt; 0 || index &gt;= size()` ）
      从以下版本开始：
        4.3

    - #### add

          public void add(int index,
                 Object element)

      在指定的位置插入指定的元素（必须是URI）。 将URI位于该位置（如果有）和任何后续的URI（向其索引添加一个）。
      Specified by:
        `add`在界面 `List<Object>`
      重写：
        `add`在 `AbstractList<Object>`
      参数
        `index` - 要在其中插入指定元素的索引
        `element` - 要插入的URI
      异常
        `UnsupportedOperationException` - 如果此列表不支持 `add`操作
        `ClassCastException` - 如果元素不是`URI`
        `NullPointerException` - 如果指定的元素为空，并且该列表不允许空元素
        `IndexOutOfBoundsException` - 如果索引超出范围（ `index &lt; 0 || index &gt; size()` ）
      从以下版本开始：
        4.3

    - #### remove

          public URI remove(int index)

      删除此列表中指定位置的URI。 将任何后续URI移动到左侧（从其索引中减去一个URI）。 返回从列表中删除的URI。
      Specified by:
        `remove`在界面 `List<Object>`
      重写：
        `remove`在类 `AbstractList<Object>`
      参数
        `index` - 要删除的URI的索引
      结果
        以前URI在指定的位置
      异常
        `IndexOutOfBoundsException` - 如果索引超出范围（ `index &lt; 0 || index &gt;= size()` ）
      从以下版本开始：
        4.3

    - #### contains

          public boolean contains(Object o)

      如果此集合包含指定的元素，则返回`true` 。 更正式地说，返回`true`当且仅当这个集合包含至少一个元素`e`这样`(o==null&nbsp;?&nbsp;e==null&nbsp;:&nbsp;o.equals(e))` 。
      Specified by:
        `contains`在界面 `Collection<Object>`
      Specified by:
        `contains`在界面 `List<Object>`
      重写：
        `contains`在 `AbstractCollection<Object>`
      参数
        `o` - 要在此集合中存在的元素将被测试
      结果
        `true`如果此集合包含指定的元素

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585